Summary: The kernel module init tools.
Name: module-init-tools
Version: 3.2.2
Release: 2tr
License: GPL
Group: Trustix Official
Source: http://kernel.us.themoes.org/pub/linux/utils/kernel/module-init-tools/%{name}-%{version}.tar.bz2
#Source2: kmod.crond
Patch1: module-init-tools-generate-modprobe.conf-kver.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
Requires: crond
PreReq: coreutils, bash, mktemp, grep, sed, awk

%description
The module-init-tools package includes programs for managing automatic
loading and unloading of modules under 2.6 kernels, with support for older
kenrnels using the old modutils package, as well as other module management
programs.  Examples of loaded and unloaded modules are device drivers and
filesystems, as well as some other things.

%prep
%setup -q
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--disable-combined \
		--enable-insmod-static \
		--mandir=%{_mandir} \
		--prefix=%{_prefix} \
		--exec-prefix=/
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man{1,2,8},sbin}
make mandir=%{_mandir} DESTDIR=$RPM_BUILD_ROOT install install-man
mv $RPM_BUILD_ROOT/bin/lsmod $RPM_BUILD_ROOT/sbin/

#install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/kmod

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/sbin/*
%{_mandir}/*/*
#%config %{_sysconfdir}/cron.d/kmod

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jun 16 2006 Bipin S <bipin at trustix dot org> 3.2.2-1tr
- Initial version for TSL-3.0.5

* Tue Jun 28 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1-7tr
- Removed ghosted modprobe.conf file from %files. 
- Removed %post since /etc/modules.conf never will be present in tsl-3.0. 
  Fix Bug #989.

* Fri Apr 22 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1-5tr
- Removed PreReq: modutils, Bug ID #445

* Fri Mar 18 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 3.1-4tr
- Rebuild for glibc-2.3.4-6tr

* Mon Mar  7 2005 Chr. Toldnes <christht at trustix dot org> 3.1-3tr
- made generate-modprobe.conf support kernel version (hopefully)

* Fri Dec 31 2004 Ajith Thampi <ajith at comodo dot com> 3.1-2tr
- kmod termed useless and script removed

* Fri Sep 24 2004 Nageswara Sastry <nageswara at comodo dot com> 3.1-1tr
- Version upgraded to 3.1-1tr from 3.0-1tr

* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 3.0-1tr
- cleanup and rebuild

* Tue Mar  9 2004 Omar Kilani <ok at trustix dot org> 3.0-1ok
- New upstream.
- Fixed the spec file for pre / non-pre releases.

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 3.0-pre5-2ct
- Added a whole lot of PreReqs to make %post modprobe.conf generation work
  also during install.

* Tue Jan 20 2004 Tor Hveem <torh at trustix dot org> 3.0-pre5-1th
- New upstream version
- Generate modprobe.conf in %post if not 
- Include missing lsmod binary

* Tue Jan 20 2004 Chr. Toldnes <christht at trustix dot org> 0.9.14-3ct
- package cleanups

* Wed Dec 10 2003 Gerald Dachs <gda at trustix dot org> 0.9.14-2gd
- updated modutils to version 2.4.26

* Tue Dec  9 2003 Gerald Dachs <gda at trustix dot org> 0.9.14-1gd
- initial build

